Execute
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaVersion": 1,
"source": {
"kind": "catalog",
"scope": {
"configuration": {
"schemaVersion": 1,
"columns": [
"<string>"
],
"quickFilters": {
"status": [
"<string>"
],
"categoryIds": [
"<string>"
],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": {
"sets": [
{
"conditions": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
}
]
},
"groupBy": [
{
"fieldKey": "<string>"
}
],
"sort": [
{
"fieldKey": "<string>"
}
]
},
"mode": "table_query",
"selection": {
"schemaVersion": 1,
"defaultSelected": true,
"groupOverrides": [
{
"path": [
{
"fieldKey": "<string>",
"valueKey": "<string>"
}
],
"selected": true
}
],
"familyOverrides": [
{
"familyId": "<string>",
"selected": true
}
]
},
"search": "<string>"
}
},
"targets": {
"mode": "explicit",
"projectIds": [
"<string>"
]
},
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts"
payload = {
"schemaVersion": 1,
"source": {
"kind": "catalog",
"scope": {
"configuration": {
"schemaVersion": 1,
"columns": ["<string>"],
"quickFilters": {
"status": ["<string>"],
"categoryIds": ["<string>"],
"columnFilters": [
{
"fieldKey": "<string>",
"type": "text",
"value": "<string>"
}
]
},
"advancedFilter": { "sets": [{ "conditions": [
{
"fieldKey": "<string>",
"values": ["<string>"]
}
] }] },
"groupBy": [{ "fieldKey": "<string>" }],
"sort": [{ "fieldKey": "<string>" }]
},
"mode": "table_query",
"selection": {
"schemaVersion": 1,
"defaultSelected": True,
"groupOverrides": [
{
"path": [
{
"fieldKey": "<string>",
"valueKey": "<string>"
}
],
"selected": True
}
],
"familyOverrides": [
{
"familyId": "<string>",
"selected": True
}
]
},
"search": "<string>"
}
},
"targets": {
"mode": "explicit",
"projectIds": ["<string>"]
},
"requestKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaVersion: 1,
source: {
kind: 'catalog',
scope: {
configuration: {
schemaVersion: 1,
columns: ['<string>'],
quickFilters: {
status: ['<string>'],
categoryIds: ['<string>'],
columnFilters: [{fieldKey: '<string>', type: 'text', value: '<string>'}]
},
advancedFilter: {sets: [{conditions: [{fieldKey: '<string>', values: ['<string>']}]}]},
groupBy: [{fieldKey: '<string>'}],
sort: [{fieldKey: '<string>'}]
},
mode: 'table_query',
selection: {
schemaVersion: 1,
defaultSelected: true,
groupOverrides: [{path: [{fieldKey: '<string>', valueKey: '<string>'}], selected: true}],
familyOverrides: [{familyId: '<string>', selected: true}]
},
search: '<string>'
}
},
targets: {mode: 'explicit', projectIds: ['<string>']},
requestKey: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/standard-rollouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "queued",
"rolloutId": "<string>"
}Standard Rollouts
Execute
POST
/
v1
/
workspaces
/
{workspaceId}
/
standard-rollouts
Execute
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I